Foxit PDF SDK

Public Types | Public Member Functions | Public Attributes | List of all members
foxit::SearchOption Class Reference

Inherits Object.

## Public Types
enum | WordMatching { e_WordMatchingMatchPhrase = 0, e_WordMatchingMatchAllWords = 1, e_WordMatchingMatchAnyWord = 2 }
| Enumeration for word matching. More...

## Public Member Functions
| SearchOption ()
| Constructor.
| SearchOption (bool is_whole_word, bool is_case_sensitive, bool is_search_bookmarks, bool is_search_in_marup, bool is_search_in_attachments, bool is_ignore_accents, bool is_proximity, bool is_stemming, bool is_ignore_full_width, int max_docs, WordMatching word_matching, bool is_search_doc_text)
| Constructor, with parameters. More...
| SearchOption (const SearchOption &search_option)
| Constructor, with another search option object. More...
SearchOption & | operator= (const SearchOption &search_option)
| Assign operator. More...
void | Set (bool is_whole_word, bool is_case_sensitive, bool is_search_bookmarks, bool is_search_in_marup, bool is_search_in_attachments, bool is_ignore_accents, bool is_proximity, bool is_stemming, bool is_ignore_full_width, int max_docs, WordMatching word_matching, bool is_search_doc_text)
| Set values. More...

## Public Attributes
bool | is_case_sensitive
| Specifies whether the search query is case sensitive. Defaule value: false.
bool | is_ignore_accents
| Specifies whether accents and diacriticals are ignored while searching the query term. Defaule value: false.
bool | is_ignore_full_width
| Specifies whether full width and half width characters in the document exactly match the search query. true means ignore full width and half width matching, while false means exactly match the search query. Defaule value: false.
bool | is_proximity
| Specifies whether the search query will reflect the proximity of words in the results ranking when performing the search that contains AND Boolean clauses. Defaule value: false.
bool | is_search_bookmarks
| Specifies whether bookmarks are searched for the query. Defaule value: false.
bool | is_search_doc_text
| Specifies whether the document text is searched for the query. Defaule value: true.
bool | is_search_in_attachments
| Specifies whether any PDF file attachments should be searched along with the base document. Defaule value: false.
bool | is_search_in_markup
| Specifies whether markup (annotations) are searched for the query. Defaule value: false.
bool | is_stemming
| Specifies whether the search query will take the stemming of words (for example, run, runs, running) into account when performing the search. Defaule value: false.
bool | is_whole_word
| Specifies whether search finds only occurrences of complete words that are specified in the query. Defaule value: false.
int | max_docs
| The maximum number of documents that will be returned as part of the search query. Defaule value: 100.
WordMatching | word_matching
| How individual words in the query will be matched to words in the document. This property is relevant only when a query has more than one word. Please refer to values starting from SearchOption::e_WordMatchingMatchPhrase and this should be one of these values.

## Detailed Description

This class represents search option.

## Member Enumeration Documentation

## ◆ WordMatching

enum foxit::SearchOption::WordMatching

Enumeration for word matching.

Values of this enumeration should be used alone.

Enumerator
e_WordMatchingMatchPhrase | Word matching: match phrase.
e_WordMatchingMatchAllWords | Word matching: match all words.
e_WordMatchingMatchAnyWord | Word matching: match any word.

## Constructor & Destructor Documentation

## ◆ SearchOption() [1/2]

foxit::SearchOption::SearchOption | ( | bool | is_whole_word,
|  | bool | is_case_sensitive,
|  | bool | is_search_bookmarks,
|  | bool | is_search_in_marup,
|  | bool | is_search_in_attachments,
|  | bool | is_ignore_accents,
|  | bool | is_proximity,
|  | bool | is_stemming,
|  | bool | is_ignore_full_width,
|  | int | max_docs,
|  | WordMatching | word_matching,
|  | bool | is_search_doc_text
| ) |  |
| inline

Constructor, with parameters.

Parameters

  [in] | is_whole_word | Specifies whether search finds only occurrences of complete words that are specified in the query.
  [in] | is_case_sensitive | Specifies whether the search query is case sensitive.
  [in] | is_search_bookmarks | Specifies whether bookmarks are searched for the query.
  [in] | is_search_in_markup | Specifies whether markup (annotations) are searched for the query.
  [in] | is_search_in_attachments | Specifies whether any PDF file attachments should be searched along with the base document.
  [in] | is_ignore_accents | Specifies whether accents and diacriticals are ignored while searching the query term.
  [in] | is_proximity | Specifies whether the search query will reflect the proximity of words in the results ranking when performing the search that contains AND Boolean clauses.
  [in] | is_stemming | Specifies whether the search query will take the stemming of words (for example, run, runs, running) into account when performing the search.
  [in] | is_ignore_full_width | Specifies whether full width and half width characters in the document exactly match the search query.
  [in] | max_docs | The maximum number of documents that will be returned as part of the search query.
  [in] | word_matching | How individual words in the query will be matched to words in the document.
  [in] | is_search_doc_text | Specifies whether the document text is searched for the query.

## ◆ SearchOption() [2/2]

foxit::SearchOption::SearchOption | ( | const SearchOption & | search_option | ) |
| inline

Constructor, with another search option object.

Parameters

  [in] | search_option | Another search option object.

## Member Function Documentation

## ◆ operator=()

SearchOption& foxit::SearchOption::operator= | ( | const SearchOption & | search_option | ) |
| inline

Assign operator.

Parameters

  [in] | search_option | Another search option object.

Returns
  Reference to current object itself.

## ◆ Set()

void foxit::SearchOption::Set | ( | bool | is_whole_word,
|  | bool | is_case_sensitive,
|  | bool | is_search_bookmarks,
|  | bool | is_search_in_marup,
|  | bool | is_search_in_attachments,
|  | bool | is_ignore_accents,
|  | bool | is_proximity,
|  | bool | is_stemming,
|  | bool | is_ignore_full_width,
|  | int | max_docs,
|  | WordMatching | word_matching,
|  | bool | is_search_doc_text
| ) |  |
| inline

Set values.

Parameters

  [in] | is_whole_word | Specifies whether search finds only occurrences of complete words that are specified in the query.
  [in] | is_case_sensitive | Specifies whether the search query is case sensitive.
  [in] | is_search_bookmarks | Specifies whether bookmarks are searched for the query.
  [in] | is_search_in_markup | Specifies whether markup (annotations) are searched for the query.
  [in] | is_search_in_attachments | Specifies whether any PDF file attachments should be searched along with the base document.
  [in] | is_ignore_accents | Specifies whether accents and diacriticals are ignored while searching the query term.
  [in] | is_proximity | Specifies whether the search query will reflect the proximity of words in the results ranking when performing the search that contains AND Boolean clauses.
  [in] | is_stemming | Specifies whether the search query will take the stemming of words (for example, run, runs, running) into account when performing the search.
  [in] | is_ignore_full_width | Specifies whether full width and half width characters in the document exactly match the search query.
  [in] | max_docs | The maximum number of documents that will be returned as part of the search query.
  [in] | word_matching | How individual words in the query will be matched to words in the document.
  [in] | is_search_doc_text | Specifies whether the document text is searched for the query.

Returns
  None.